# ammazza-webar

![Alt-Text](https://ps.w.org/ammazza-webar/assets/banner-772%C3%97250.jpg?rev=2585959)


AMMAZZA is an out-of-box multi-utility product in the market of jewellery with the fusion of AR (Augmented Reality) + AI (Artificial Intelligence) + BI (Business Intelligence).

By integrating Virtual Try-On feature, customers can try jewellery from anywhere anytime.

Virtual Try-On is available for Facial and Hand jewelleries like Earrings, Necklace, Sets, Rings, Bracelets.





## Installation

Add ammazza_webar_flutter as dependency to your pubspec file.
```
ammazza_webar_flutter:
```
<details>
<summary>Android</summary>
1. Make sure you set the `compileSdkVersion` in your "android/app/build.gradle" file to 31:
```
android {
  compileSdkVersion 31
  ...
}

2. Add permissions to your `AndroidManifest.xml` file.

 <uses-permission android:name="android.permission.CAMERA" />


</details>

<details>

<summary>iOS</summary>
Add permission camera to your `Info.plist` file.
</details>

## Usage
```dart
// import the package
import 'package:ammazza_webar_flutter/ammazza_webar_flutter.dart';

// Use the widget
 clientId = your client id;
 productId = your product id which you want to try at first
 Container(
         child: LiveTryon(clientId: '${clientId}', productId: '${productId}'),
       ),
```

## License

Weboccult